Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.isim
Class ISimTimerClient

    java.lang.Object
      ix.isim.ISimTimer
          ix.isim.ISimTimerClient

    public class ISimTimerClient

extends ISimTimer

Nested Class Summary

Nested classes/interfaces inherited from class ix.isim.ISimTimer
`ISimTimer.UpdateTimeDisplayThread`

Field Summary

Fields inherited from class ix.isim.ISimTimer
`ACCELERATE, owner, PAUSE, REGISTER, RESUME, simTimeDisplay, simulationActive, START, STOP, SYNCHRONIZE_LABEL, tUpdater`

Constructor Summary
`protected` | `ISimTimerClient(IXAgent agent)`

Method Summary
`void` | `handleSynchronizeActivity(Activity synchActivity)` This function needs to be implemented by the inheriting class.

Methods inherited from class ix.isim.ISimTimer
`changeAccelerationFactor, getAccelerationFactor, getISimTimer, getSimTimeInMillis, pause, resume, setCurrentSimTime, simulationStarted, start, terminateTimer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISimTimerClient

    protected ISimTimerClient(IXAgent agent)

Method Detail

### handleSynchronizeActivity

    public void handleSynchronizeActivity(Activity synchActivity)

  Description copied from class: `ISimTimer`
  This function needs to be implemented by the inheriting class. This is because the two types of ISimTimer, ISimTimerClient and ISimTimerServer, behave differently with respect to synchronization. Having it abstract ensures that no ISimTimer can ever be constructed.

  Specified by:
    `handleSynchronizeActivity` in class `ISimTimer`
  Parameters:
    `synchActivity` - a synchronization Activity (see final Strings in this class for possible activities)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD